=== data/images/icons/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        16-actions-konv_message.png
        22-actions-konv_message.png
        32-actions-konv_message.png
        48-actions-konv_message.png
        64-actions-konv_message.png
        128-actions-konv_message.png
        16-apps-konversation.png
        22-apps-konversation.png
        32-apps-konversation.png
        48-apps-konversation.png
        64-apps-konversation.png
        128-apps-konversation.png
    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor
)
