=== data/images/nickicons/square/CMakeLists.txt ===
install(
    FILES
        irc_admin.png
        irc_away.png
        irc_halfop.png
        irc_normal.png
        irc_op.png
        irc_owner.png
        irc_voice.png
        index.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/konversation/themes/square
)
