## konversation 25.08.2+p24.04+vstable+git20251017.0024

=== debian/changelog ===
konversation (25.08.2+p24.04+vstable+git20251017.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 00:24:11 +0000

konversation (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:47:16 +0000
