## konversation 25.08.2+p24.04+vstable+git20251019.0547

=== debian/changelog ===
konversation (25.08.2+p24.04+vstable+git20251019.0547-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:47:30 +0000
