## konversation 25.08.2+p24.04+vstable+git20251030.0019

=== debian/changelog ===
konversation (25.08.2+p24.04+vstable+git20251030.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 00:19:36 +0000
