=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6,python3 --buildsystem kf6

override_dh_python3:
	dh_python3 -p konversation-data --shebang=/usr/bin/python3 /usr/share/konversation
