## konversation 25.08.2+p24.04+vstable+git20251031.0952

=== debian/changelog ===
konversation (25.08.2+p24.04+vstable+git20251031.0952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:52:41 +0000
