## konversation 25.08.2+p24.04+vunstable+git20251010.0714

=== debian/changelog ===
konversation (25.08.2+p24.04+vunstable+git20251010.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 07:14:25 +0000
