## konversation 25.08.2+p24.04+vunstable+git20251016.0025

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KONVERSATION_BASE_VERSION once new features are added
@@ -55,7 +55,6 @@
     CoreAddons
     Crash
     DBusAddons
-    DocTools
     I18n
     IdleTime
     ItemViews
@@ -70,6 +69,15 @@
     WidgetsAddons
     WindowSystem
 )
+
+option(BUILD_DOC "Whether to build the documentation" ON)
+if(BUILD_DOC)
+    find_package(KF6DocTools)
+    set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
+        "Tools to generate documentation"
+        TYPE REQUIRED
+    )
+endif()
 
 if(NOT WIN32 AND NOT HAIKU)
     find_package(KF6 REQUIRED GlobalAccel)
@@ -93,13 +101,16 @@
 
 add_subdirectory(src)
 add_subdirectory(data)
-add_subdirectory(doc)
 
 if(BUILD_TESTING)
     add_subdirectory(tests)
 endif()
 
+if(BUILD_DOC)
+    add_subdirectory(doc)
+    kdoctools_install(po)
+endif()
+
 ki18n_install(po)
-kdoctools_install(po)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
