=== data/scripting_support/python/CMakeLists.txt ===
add_subdirectory(konversation)
