=== data/images/nickicons/default/CMakeLists.txt ===
install(
    FILES
        irc_admin.svg
        irc_away.svg
        irc_away_stacked.svg
        irc_halfop.svg
        irc_normal.svg
        irc_op.svg
        irc_owner.svg
        irc_voice.svg
        index.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/konversation/themes/default
)
