## konversation 25.08.3+p24.04+vunstable+git20251206.0707

=== debian/changelog ===
konversation (25.08.3+p24.04+vunstable+git20251206.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:08:02 +0000
