## konversation 25.12.0+p24.04+vstable+git20251217.0241

=== debian/changelog ===
konversation (25.12.0+p24.04+vstable+git20251217.0241-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Dec 2025 02:41:16 +0000
