## konversation 25.12.0+p24.04+vstable+git20260101.0020

=== debian/changelog ===
konversation (25.12.0+p24.04+vstable+git20260101.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:20:10 +0000
