## konversation 25.12.1+p24.04+vstable+git20260107.0333

=== debian/changelog ===
konversation (25.12.1+p24.04+vstable+git20260107.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 03:33:26 +0000

konversation (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:36:22 +1000
